import java.io.IOException; 
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.time.Instant;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.google.gson.Gson;

public class XLsheetController extends HttpServlet
{
	private static DateFormat date = new SimpleDateFormat("dd/MM/yy");
	String NUMBER;
	String NAME;
	String PLACE;
	String AGE;



	public String getNUMBER() {
		return NUMBER;
	}



	public void setNUMBER(String nUMBER) {
		NUMBER = nUMBER;
	}



	public String getNAME() {
		return NAME;
	}



	public void setNAME(String nAME) {
		NAME = nAME;
	}



	public String getPLACE() {
		return PLACE;
	}



	public void setPLACE(String PLACE) {
		PLACE = PLACE;
	}



	public String getAGE() {
		return AGE;
	}



	public void setAGE(String aGE) {
		AGE = aGE;
	}



	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException
	{
		// excel upload file
		String excel=req.getParameter("excel");
		// individual device ragistration
		String device=req.getParameter("device");
		// individual device remove
		String deviceid = req.getParameter("deviceid");

		PrintWriter out=resp.getWriter();		
				
			
			{
				Gson gson = new Gson(); 
				XLsheetController[] userArray = gson.fromJson(excel, XLsheetController[].class);  
				for(XLsheetController user : userArray)
				{
					 	System.out.println("----------------------------------------------------------------------------------------");
					    System.out.print(user.NUMBER+" ");
						System.out.print(user.NAME+" ");
						System.out.print((user.PLACE)+" ");
						System.out.println((user.AGE)+" ");
						
						
						
				}
				
				System.out.println("----------------------------------------------------------------------------------------");
				out.print("Excel sheet uploaded successfully");
			}

		 
		

	}
}